summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2020-08-30 20:05:31 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2020-09-01 20:50:50 +0200
commitb8d4bba5fa569d918237c88d5bcd5386169884fa (patch)
treecf954c49f7cd9c8d11c2c75a00ccba1bab78b131 /eclass/cmake.eclass
parentcmake.eclass: cmake_comment_add_subdirectory: line length reduction (diff)
downloadgentoo-b8d4bba5fa569d918237c88d5bcd5386169884fa.tar.gz
gentoo-b8d4bba5fa569d918237c88d5bcd5386169884fa.tar.bz2
gentoo-b8d4bba5fa569d918237c88d5bcd5386169884fa.zip
cmake.eclass: If inherited from ecm.eclass, set ECM_DISABLE_QMLPLUGINDUMP
Works with downstream patch added to kde-frameworks/extra-cmake-modules in commit f5b2cf80ea9696a5efbc2064cd432670670af486 Bug: https://bugs.gentoo.org/640432 Bug: https://bugs.gentoo.org/683102 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'eclass/cmake.eclass')
-rw-r--r--eclass/cmake.eclass4
1 files changed, 4 insertions, 0 deletions
diff --git a/eclass/cmake.eclass b/eclass/cmake.eclass
index 5505fd21ac0c..ddee554d429f 100644
--- a/eclass/cmake.eclass
+++ b/eclass/cmake.eclass
@@ -489,6 +489,10 @@ cmake_src_configure() {
SET (BUILD_SHARED_LIBS ON CACHE BOOL "")
_EOF_
+ if [[ -n ${_ECM_ECLASS} ]]; then
+ echo 'SET (ECM_DISABLE_QMLPLUGINDUMP ON CACHE BOOL "")' >> "${common_config}" || die
+ fi
+
# See bug 689410
if [[ "${ARCH}" == riscv ]]; then
echo 'SET (CMAKE_FIND_LIBRARY_CUSTOM_LIB_SUFFIX '"${libdir#lib}"' CACHE STRING "library search suffix" FORCE)' >> "${common_config}" || die